#
# spec file for package comanche (Version 3.0.b3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel itcl mm tcl tk
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip itcl kbd less libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone tk unzip util-linux vim

Name:         comanche
Copyright:    1995-2000 Daniel Lopez Ridruejo
Group:        Networking/Admin
Requires:     apache tcl tk
Requires:     itcl >= 3.0
Autoreqprov:  on
Version:      3.0.b3
Release:      164
Source0:      comanche3.0b3-src.tar.gz
Patch0:       comanche3-0b3.dif
URL:          http://www.comanche.org/
Icon:         comanche.xpm
Summary:      Management of the Apache web server
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
Comanche, as part of the The Apache GUI project aims to provide a
quality and crossplatform graphical tool for configuration and
management of the Apache web server and related software. Comanche
stands for COnfiguration MANager for apaCHE and should run on most
flavors of UNIX and Windows (and even Macs :-)

Authors:
--------
    Daniel Lopez Ridruejo <ridruejo@esi.us.es>

SuSE series: n

%prep
%setup -n comanche3-0b3
%patch
for file in `find . -type f `; do
	cat $file | sed \
	-e 's+/usr/local/apache/sbin/apachectl+/etc/init.d/apache+g' > $file.sed
	mv $file.sed $file
done

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin/
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/comanche
install -m 744 comanche.tcl $RPM_BUILD_ROOT/usr/X11R6/bin/comanche
for file in comanche conf help http images lib messages plugins serialize test url; do
	cp -pvr $file $RPM_BUILD_ROOT/%{_libdir}/comanche/
done

%files
%defattr(-, root, root)
%doc INSTALL.txt LICENSE.txt README_MAC_USERS.txt 
%doc README_SAMBA.txt docs
%{_libdir}/comanche
%attr(755, root, root) /usr/X11R6/bin/comanche

%changelog -n comanche
* Mon Mar 12 2001 - rolf@suse.de
- fixed itkwish to wish in start script [BUG#6601]
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Mon Dec 04 2000 - rolf@suse.de
- update to comanche 3.0.b3
- update init path to /etc/init.d/apache
- add Group: Networking/Admin [BUG#4328]
* Tue Jul 18 2000 - rolf@suse.de
- fixed two bugs in main.tcl script [BUG#3510]
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Mon Feb 28 2000 - rolf@suse.de
- fixed bug in tcl code [BUG#2109]
* Thu Dec 23 1999 - rolf@suse.de
- first package com990406
